NX Open C++ Reference Guide
|
Builder used to create or edit a Features::ShipDesign::CornerCut feature. More...
Public Types | |
enum | CutOption { CutOptionCorner, CutOptionPlate } |
Represents the corner cut option. More... | |
Public Member Functions | |
NXOpen::Features::ShipDesign::CornerCutListItemBuilderList * | CornerList () |
Returns the list of corner points. | |
NXOpen::Point * | CornerPoint () |
Returns the corner point. | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
NXOpen::Features::ShipDesign::ManufacturingStockBuilder * | ManufacturingInformation () |
Returns the manufacturing stock builder that holds the manufacturing data. | |
NXOpen::Features::ShipDesign::CornerCutBuilder::CutOption | PlacementType () |
Returns the type of corner cut to create. | |
NXOpen::ScCollector * | PlateBodyCollector () |
Returns the collector containing the plate bodies that are to have corner cuts added. | |
void | SetCornerPoint (NXOpen::Point *cornerPoint) |
Sets the corner point. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetPlacementType (NXOpen::Features::ShipDesign::CornerCutBuilder::CutOption cutOption) |
Sets the type of corner cut to create. | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | Spreadsheet () |
Returns the spreadsheet builder. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder used to create or edit a Features::ShipDesign::CornerCut feature.
<br> To create a new instance of this class, use @link Features::ShipCollection::CreateCornerCutBuilder Features::ShipCollection::CreateCornerCutBuilder @endlink <br>
Default values.
Property | Value |
---|---|
DistanceTolerance |
0.0254 (millimeters part), 0.001 (inches part) |
Created in NX8.5.0.
NXOpen::Features::ShipDesign::CornerCutListItemBuilderList* NXOpen::Features::ShipDesign::CornerCutBuilder::CornerList | ( | ) |
Returns the list of corner points.
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::Features::ShipDesign::CornerCutBuilder::CornerPoint | ( | ) |
Returns the corner point.
Created in NX8.5.0.
License requirements : None
double NXOpen::Features::ShipDesign::CornerCutBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::ShipDesign::ManufacturingStockBuilder* NXOpen::Features::ShipDesign::CornerCutBuilder::ManufacturingInformation | ( | ) |
Returns the manufacturing stock builder that holds the manufacturing data.
Created in NX8.5.1.
License requirements : None
NXOpen::Features::ShipDesign::CornerCutBuilder::CutOption NXOpen::Features::ShipDesign::CornerCutBuilder::PlacementType | ( | ) |
Returns the type of corner cut to create.
Created in NX8.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::ShipDesign::CornerCutBuilder::PlateBodyCollector | ( | ) |
Returns the collector containing the plate bodies that are to have corner cuts added.
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::CornerCutBuilder::SetCornerPoint | ( | NXOpen::Point * | cornerPoint | ) |
Sets the corner point.
Created in NX8.5.0.
License requirements : nx_ship_detail ("Ship Detail Design")
cornerPoint | cornerpoint |
void NXOpen::Features::ShipDesign::CornerCutBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
Created in NX8.5.0.
License requirements : nx_ship_detail ("Ship Detail Design")
distanceTolerance | distancetolerance |
void NXOpen::Features::ShipDesign::CornerCutBuilder::SetPlacementType | ( | NXOpen::Features::ShipDesign::CornerCutBuilder::CutOption | cutOption | ) |
Sets the type of corner cut to create.
Created in NX8.5.0.
License requirements : nx_ship_detail ("Ship Detail Design")
cutOption | cutoption |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::CornerCutBuilder::Spreadsheet | ( | ) |
Returns the spreadsheet builder.
<br> Users can specify the Weldout using a single sketch. The sketch type and its parameters are controlled by the @link Features::ShipDesign::SteelFeatureSpreadsheetBuilder Features::ShipDesign::SteelFeatureSpreadsheetBuilder@endlink . <br>
Created in NX8.5.0.
License requirements : None